Package pyxmpp :: Module interface_micro_impl

[hide private]

# Module interface_micro_impl

source code

Interface API, minimal implementation.

This is minimal Zope Interfaces API implementation, as required by PyXMPP, not add another dependencies.

If zope.interface package is available it will be used instead of this one. Never import this module directly.

Classes | [hide private]

| InterfaceClass
| Attribute

Functions | [hide private]

classImplements(cls, *interfaces) | source code

implements(*interfaces) | source code

_whole_tree(cls) | source code

implementedBy(cls) | source code

providedBy(ob) | source code

Variables | [hide private]

| Interface = `<InterfaceClass pyxmpp.inteface_micro_impl.Interface>`
| __package__ = ``'``pyxmpp``'``

Imports: sys, FunctionType